import * as logger from './Logger.js';
export declare function sanitize_all(argv: any): Promise<void>;
export declare function sanitizeWikiPath(mwWikiPath?: string): string;
export declare function sanitizeApiPathParam(apiPathParam: string): string;
export declare function sanitizeStringMaxLength(text: string, key: string, length: number): void;
export declare function sanitize_verbose(verbose: logger.LogLevel | true): void;
export declare function sanitize_articlesList_addNamespaces(articlesList: string, addNamespaces: string): void;
export declare function sanitizeDoubleUsedParameters(options: object): void;
export declare function sanitize_speed(_speed: any): void;
export declare function sanitize_mwUrl(mwUrl: string): Promise<void>;
export declare function sanitize_adminEmail(adminEmail: any): void;
export declare function sanitize_redis(argv: any): Promise<void>;
export declare function sanitize_customZimFavicon(customZimFavicon: any): Promise<void>;
/**
 * Search for the customFlavour in the following order
 *
 * 1. Current directory in which command has been run
 * 2. mwoffliner's extensions directory
 * 3. absolute path(for root folder)
 *
 * Note: CustomFlavour doesn't necessarily need be given with extension(.js)
 * like --customFlavour=wiktionary_fr. Hence, .js is explicitly added for
 * path resolution.
 */
export declare function sanitize_customFlavour(customFlavour: string): string;
export declare function sanitize_forceRender(renderName: string): string;
