import urlBuilder from './url.builder.js';
/**
 * Build base URL for specific wiki. Example of the output: 'https://en.wikipedia.org' or 'https://de.wikivoyage.org
 */
class BasicURLDirector {
    buildMediawikiBaseURL(domain) {
        return urlBuilder.setDomain(domain).build(true, '');
    }
    buildDownloaderBaseUrl(conditions) {
        let baseUrl;
        for (const { condition, value } of conditions) {
            if (condition) {
                baseUrl = value;
                break;
            }
        }
        return baseUrl;
    }
}
const basicURLDirector = new BasicURLDirector();
export default basicURLDirector;
//# sourceMappingURL=basic.director.js.map