import urlBuilder from './url.builder.js';
/**
 * Interface to build URLs based on MediaWiki visual editor URL
 */
export default class VisualEditorURLDirector {
    baseDomain;
    constructor(baseDomain) {
        this.baseDomain = baseDomain;
    }
    buildArticleURL(articleId) {
        return urlBuilder.setDomain(this.baseDomain).setQueryParams({ page: articleId }, '&').build();
    }
    get validMimeTypes() {
        return ['application/json'];
    }
}
//# sourceMappingURL=visual-editor.director.js.map